﻿Public Class index
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'ポストバックのときは処理をしない
        If Me.IsPostBack Then
            Return
        End If

        'Cookieが存在するかどうか
        If Not Me.Request.Cookies("UserInfo") Is Nothing Then
            'Cookieからデータを取り出す
            Dim userinfo As System.Collections.Specialized.NameValueCollection
            userinfo = Me.Request.Cookies("UserInfo").Values

            '取り出したCookieの情報を表示
            Me.txtUserName.Text = Me.Server.HtmlEncode(userinfo("UserID"))
            Me.txtName.Text = Me.Server.HtmlEncode(userinfo("UserName"))
            Me.txtEmail.Text = Me.Server.HtmlEncode(userinfo("EmailAddress"))
        Else
            '各TextBoxをクリア
            Me.txtUserName.Text = String.Empty
            Me.txtName.Text = String.Empty
            Me.txtEmail.Text = String.Empty
        End If
    End Sub

    Protected Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        'Cookieオブジェクトを生成
        Dim cook As New HttpCookie("UserInfo")

        '保存が選択されているかどうか
        If Me.chkSave.Checked Then
            'Cookieにデータを保存する
            cook.Values("UserID") = Me.txtUserName.Text
            cook.Values("UserName") = Me.txtName.Text
            cook.Values("EmailAddress") = Me.txtEmail.Text

            'Cookieに有効期限を設定する
            cook.Expires = DateTime.Now.AddDays(1)
        Else
            'Cookieを削除する
            cook.Expires = DateTime.Now.AddDays(-1)
        End If

        'CookieをWebクライアントに送る準備をする
        Me.Response.Cookies.Add(cook)

        '各TextBoxをクリア
        Me.txtUserName.Text = String.Empty
        Me.txtName.Text = String.Empty
        Me.txtEmail.Text = String.Empty
    End Sub
End Class